View Issue Details

IDProjectCategoryView StatusLast Update
0001855unrealircdpublic2009-05-29 03:28
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2 
Target VersionFixed in Version3.2.8 
Summary0001855: module bug: umode lost on /rehash
DescriptionJust reporting it here before I forget... (I'm already using a flag system on my own since I don't want to require others to upgrade to 3.2cvswhatever).

It's pretty reproducable it seems.. you even see the server setting you -<the mode>

I breaked at HookDel, HookAdd and unload_all_unused_umodes and something went clearly wrong in HookDel (I already forgot). Should be easy to debug this way ;).
TagsNo tags attached.
3rd party modules

Activities

syzop

2004-06-02 00:37

administrator   ~0006543

Obviously this only happens if the module is not permanent ;).

codemastr

2004-06-02 00:46

reporter   ~0006544

I thought you said, the other day, it worked fine for you?

But what you said doesn't make sense. HookDel? Umodes don't have anything to do with hooks. HookDel should never be called. UmodeDel should be. Or is that what you meant to say?

syzop

2004-06-02 10:56

administrator   ~0006545

Yeah UmodeDel.
And my privdeaf module was/is permanent which doesn't have a problem (I thought a few days ago perm mods were also affected, but that was not true ;p).

stskeeps

2007-04-27 05:43

reporter   ~0013835

Bump. Still an issue?

syzop

2007-05-07 12:44

administrator   ~0014021

likely, i don't recall any fixing attempt (even though it's the easiest of all subsystems)

Stealth

2009-05-29 01:24

reporter   ~0015854

Was this fixed with the 3.2.8 changes?

"Modules: user modes and channel modes without parameters (eg: +X) no longer have to be PERManent, this means they can be upgraded/reloaded/unloaded on-the-fly."

syzop

2009-05-29 03:28

administrator   ~0015855

Yup :)

Issue History

Date Modified Username Field Change
2004-06-02 00:36 syzop New Issue
2004-06-02 00:37 syzop Note Added: 0006543
2004-06-02 00:46 codemastr Note Added: 0006544
2004-06-02 10:56 syzop Note Added: 0006545
2007-04-27 05:43 stskeeps Note Added: 0013835
2007-04-27 05:43 stskeeps Status new => feedback
2007-04-27 05:43 stskeeps View Status private => public
2007-05-07 12:44 syzop Note Added: 0014021
2007-05-07 12:44 syzop Status feedback => acknowledged
2009-05-29 01:24 Stealth Note Added: 0015854
2009-05-29 03:28 syzop QA => Not touched yet by developer
2009-05-29 03:28 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2009-05-29 03:28 syzop Note Added: 0015855
2009-05-29 03:28 syzop Status acknowledged => resolved
2009-05-29 03:28 syzop Fixed in Version => 3.2.8
2009-05-29 03:28 syzop Resolution open => fixed
2009-05-29 03:28 syzop Assigned To => syzop